Edited at

Error: Could not get Xcode version


Error message

iOS simulatorを開くときに、

下記のエラーメッセージが表示される場合

info:[debug] Error: Could not get Xcode version.

/Library/Developer/Info.plist does not exist on disk.


Solution

この場合、下記のコマンドでxcode-selectはどこに設定していることが確認できる

xcode-select -print-path

このpathに設定しているかもしれない

/Library/Developer/CommandLineTools/

pathが間違っている場合、

下記のcommandでxcode-select/Applications/Xcode.appに設定すると

AppiumXcodeのバージョンが確認できるようになる

sudo xcode-select -switch /Applications/Xcode.app